Subject: Re: [PATCH] git-gui/Makefile - Handle $DESTDIR on Cygwin

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 17 Jan 2008 23:01:46 -0500

Mark Levedahl <[email-masked]> wrote:
> From: Mark Levedahl <[email-masked]>
> 
> gg_libdir is converted to an absolute Windows path on Cygwin,
> but a later step attempts to prefix $DESTDIR to install to a
> staging directory. Explicitly separate the uses of gg_libdir for
> these two purposes so installation to $DESTDIR will work.
> 
> Signed-off-by: Mark Levedahl <[email-masked]>
> ---
> git-gui built with this  passed tests on cygwin + tcl/tk 8.5,
> cygwin + normal tcl/tk, and linux. DESTDIR also works on cygwin,
> so I would suggest this rather than the previous patch.

Excellent.  I was about to think about writing this patch myself,
but you beat me to it.  I'm applying this and will include it as
part of git-gui 0.9.2, which should be in git 1.5.4.

Thanks.
 
-- 
Shawn.